Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.info
Class IValue

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.info.IValue

All Implemented Interfaces:
  Annotated, IThing, java.io.Serializable

    public class IValue

extends AbstractAnnotatedObject
implements IThing

The value of an attribute of a piece of information or a relationship

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `attribute`
`java.util.List` | `constraints`
`int` | `opinion`
`IObject` | `parent`
`ISource` | `source`
`java.lang.Object` | `value`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`IValue(IObject parent, java.lang.String attribute, java.lang.Object value)`
`IValue(IObject parent, java.lang.String attribute, java.lang.Object value, ISource source)`

Method Summary
`boolean` | `equals(java.lang.Object iValue)`
`java.lang.String` | `getAttribute()`
`int` | `getOpinion()`
`IObject` | `getParent()`
`ISource` | `getSource()`
`java.lang.Object` | `getValue()`
`void` | `setAttribute(java.lang.String attribute)`
`void` | `setOpinion(int opinion)`
`void` | `setParent(IObject parent)`
`void` | `setSource(ISource source)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### parent

    public IObject parent

### source

    public ISource source

### opinion

    public int opinion

### attribute

    public java.lang.String attribute

### constraints

    public java.util.List constraints

### value

    public java.lang.Object value

Constructor Detail

### IValue

    public IValue(IObject parent,
                  java.lang.String attribute,
                  java.lang.Object value)

### IValue

    public IValue(IObject parent,
                  java.lang.String attribute,
                  java.lang.Object value,
                  ISource source)

Method Detail

### setValue

    public void setValue(java.lang.Object value)

### setSource

    public void setSource(ISource source)

### setOpinion

    public void setOpinion(int opinion)

### setAttribute

    public void setAttribute(java.lang.String attribute)

### setParent

    public void setParent(IObject parent)

### getValue

    public java.lang.Object getValue()

### getSource

    public ISource getSource()

### getOpinion

    public int getOpinion()

### getAttribute

    public java.lang.String getAttribute()

### getParent

    public IObject getParent()

### equals

    public boolean equals(java.lang.Object iValue)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD